log4cplus::helpers::socket_holder Struct Reference

`#include <socket.h>`

## Public Member Functions

| socket_holder ()
| socket_holder (os_socket_type s)
| ~socket_holder ()
void | reset (os_socket_type s=INVALID_OS_SOCKET_VALUE)
os_socket_type | detach ()
| socket_holder (socket_holder &&)=delete
| socket_holder (socket_holder const &)=delete
socket_holder | operator= (socket_holder &&)=delete
socket_holder | operator= (socket_holder const &)=delete

## Public Attributes

os_socket_type | sock

## Detailed Description

Definition at line 140 of file internal/socket.h.

## Constructor & Destructor Documentation

## socket_holder() [1/4]

log4cplus::helpers::socket_holder::socket_holder | ( |  | ) |

inline

Definition at line 144 of file internal/socket.h.

References log4cplus::helpers::INVALID_OS_SOCKET_VALUE, and sock.

Referenced by operator=(), operator=(), socket_holder(), and socket_holder().

## socket_holder() [2/4]

log4cplus::helpers::socket_holder::socket_holder | ( | os_socket_type | s | ) |

inline

Definition at line 148 of file internal/socket.h.

References sock.

## ~socket_holder()

log4cplus::helpers::socket_holder::~socket_holder | ( |  | ) |

inline

Definition at line 152 of file internal/socket.h.

References sock.

## socket_holder() [3/4]

log4cplus::helpers::socket_holder::socket_holder | ( | socket_holder && |  | ) |

delete

References socket_holder().

## socket_holder() [4/4]

log4cplus::helpers::socket_holder::socket_holder | ( | socket_holder const & |  | ) |

delete

References socket_holder().

## Member Function Documentation

## detach()

os_socket_type log4cplus::helpers::socket_holder::detach | ( |  | ) |

inline

Definition at line 167 of file internal/socket.h.

References log4cplus::helpers::INVALID_OS_SOCKET_VALUE, and sock.

## operator=() [1/2]

socket_holder log4cplus::helpers::socket_holder::operator= | ( | socket_holder && |  | ) |

delete

References socket_holder().

## operator=() [2/2]

socket_holder log4cplus::helpers::socket_holder::operator= | ( | socket_holder const & |  | ) |

delete

References socket_holder().

## reset()

void log4cplus::helpers::socket_holder::reset | ( | os_socket_type | s = INVALID_OS_SOCKET_VALUE | ) |

inline

Definition at line 158 of file internal/socket.h.

References log4cplus::helpers::INVALID_OS_SOCKET_VALUE, and sock.

## Member Data Documentation

## sock

os_socket_type log4cplus::helpers::socket_holder::sock

Definition at line 142 of file internal/socket.h.

Referenced by detach(), reset(), socket_holder(), socket_holder(), and ~socket_holder().

The documentation for this struct was generated from the following file:

- internal/socket.h